Package org.flowable.engine.interceptor

# Class AbstractStartProcessInstanceBeforeContext

java.lang.Object
org.flowable.engine.interceptor.AbstractStartProcessInstanceBeforeContext

Direct Known Subclasses:
  `StartProcessInstanceBeforeContext`, `StartSubProcessInstanceBeforeContext`

public class AbstractStartProcessInstanceBeforeContext extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `businessKey`
  `protected String`
  `businessStatus`
  `protected String`
  `initialActivityId`
  `protected FlowElement`
  `initialFlowElement`
  `protected Process`
  `process`
  `protected ProcessDefinition`
  `processDefinition`
  `protected String`
  `processInstanceName`
  `protected Map<String,Object>`
  `transientVariables`
  `protected Map<String,Object>`
  `variables`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractStartProcessInstanceBeforeContext()`
  `AbstractStartProcessInstanceBeforeContext(String businessKey, String businessStatus, String processInstanceName, Map<String,Object> variables, Map<String,Object> transientVariables, String initialActivityId, FlowElement initialFlowElement, Process process, ProcessDefinition processDefinition)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBusinessKey()`
  `String`
  `getBusinessStatus()`
  `String`
  `getInitialActivityId()`
  `FlowElement`
  `getInitialFlowElement()`
  `Process`
  `getProcess()`
  `ProcessDefinition`
  `getProcessDefinition()`
  `String`
  `getProcessInstanceName()`
  `Map<String,Object>`
  `getTransientVariables()`
  `Map<String,Object>`
  `getVariables()`
  `void`
  `setBusinessKey(String businessKey)`
  `void`
  `setInitialActivityId(String initialActivityId)`
  `void`
  `setInitialFlowElement(FlowElement initialFlowElement)`
  `void`
  `setProcess(Process process)`
  `void`
  `setProcessDefinition(ProcessDefinition processDefinition)`
  `void`
  `setProcessInstanceName(String processInstanceName)`
  `void`
  `setTransientVariables(Map<String,Object> transientVariables)`
  `void`
  `setVariables(Map<String,Object> variables)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### businessKey

    protected String businessKey

  - ### businessStatus

    protected String businessStatus

  - ### processInstanceName

    protected String processInstanceName

  - ### variables

    protected Map<String,Object> variables

  - ### transientVariables

    protected Map<String,Object> transientVariables

  - ### initialActivityId

    protected String initialActivityId

  - ### initialFlowElement

    protected FlowElement initialFlowElement

  - ### process

    protected Process process

  - ### processDefinition

    protected ProcessDefinition processDefinition

- ## Constructor Details

  - ### AbstractStartProcessInstanceBeforeContext

    public AbstractStartProcessInstanceBeforeContext()

  - ### AbstractStartProcessInstanceBeforeContext

    public AbstractStartProcessInstanceBeforeContext(String businessKey, String businessStatus, String processInstanceName, Map<String,Object> variables, Map<String,Object> transientVariables, String initialActivityId, FlowElement initialFlowElement, Process process, ProcessDefinition processDefinition)

- ## Method Details

  - ### getBusinessKey

    public String getBusinessKey()

  - ### setBusinessKey

    public void setBusinessKey(String businessKey)

  - ### getBusinessStatus

    public String getBusinessStatus()

  - ### getProcessInstanceName

    public String getProcessInstanceName()

  - ### setProcessInstanceName

    public void setProcessInstanceName(String processInstanceName)

  - ### getVariables

    public Map<String,Object> getVariables()

  - ### setVariables

    public void setVariables(Map<String,Object> variables)

  - ### getTransientVariables

    public Map<String,Object> getTransientVariables()

  - ### setTransientVariables

    public void setTransientVariables(Map<String,Object> transientVariables)

  - ### getInitialActivityId

    public String getInitialActivityId()

  - ### setInitialActivityId

    public void setInitialActivityId(String initialActivityId)

  - ### getInitialFlowElement

    public FlowElement getInitialFlowElement()

  - ### setInitialFlowElement

    public void setInitialFlowElement(FlowElement initialFlowElement)

  - ### getProcess

    public Process getProcess()

  - ### setProcess

    public void setProcess(Process process)

  - ### getProcessDefinition

    public ProcessDefinition getProcessDefinition()

  - ### setProcessDefinition

    public void setProcessDefinition(ProcessDefinition processDefinition)